<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="BillCommon.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <appSettings>
    <add key="19216861" value="" />
    <add key="IsResume" value="N" />
    <add key="DataBaseName" value="BillCommonStandard" />
    <add key="DataType" value="MySqlData" />
    <!--数据库配置  .\SQLSERVERSL-->
    <add key="DataBaseIP" value="localhost" />
    <add key="DataBaseUser" value="root" />
    <add key="DataBasePassword" value="sa" />
    <!--连接MySql端口(默认)-->
    <add key="Port" value="33566" />
    <!--本地区号-->
    <add key="LocalAreaNum" value="010" />
    <!--默认出局码-->
    <add key="DefaultCallOutNum" value="9" />
    <!--Avaya截取话单长度-->
    <add key="avayaCutOutCount" value="0" />
    <!--是否第一次登录-->
    <add key="isLogin" value="false" />
    <!--是否开启调试日志-->
    <add key="IsOpenDebuglog" value="true" />
    <!--UDP发送端口号-->
    <add key="UDPPort" value="2556" />
    <add key="1" value="02 71 FF 53 54 53 46 46 20 20 03 D9" />
    <add key="2" value="71 FF 53 54 53 33 46 20 20 03" />
    <add key="3" value="71 FF 53 54 53 34 46 20 20 03" />
    <!--按键次数长度-->
    <add key="employeenumberlength" value="4" />
    <add key="employeepasswordlength" value="4" />
    <add key="roomnumberlength" value="4" />
    <add key="roomstatenumberlength" value="1" />
    <add key="goodsnumberlength" value="4" />
    <add key="goodscountlength" value="1" />
    <!--语音来电分机-->
    <add key="comingnum" value="8000" />
    <add key="WakePBXConnection" value=",80,admin,admin" />
    <add key="WGIPAddress" value="192.168.6.68" />
    <add key="WGPort" value="8989" />
    <add key="GJDXTIME" value="" />
    <!--TCP发送端口号-->
    <add key="TCPPort" value="12333" />
    <add key="rcdID" value="0" />
    <!--语音信箱语音来电分机-->
    <add key="voicemailcomingnum" value="8001" />
    <add key="voicemailroomnumberlength" value="4" />
    <add key="voicemailpasswordlength" value="4" />
    <add key="LightsWay" value="0" />
    <add key="LightingCode" value="*1DN" />
    <add key="LightsoffCode" value="#1DN" />
    <add key="Q" value="5999" />
    <add key="P" value="" />
    <add key="ZLRecordIndex" value="0" />
    <!--分机位数，为NEC对接迅时接收分机用-->
    <add key="ExtensionBits" value="3" />
    <add key="WakeNumber" value="" />
    <!--迅时的版本号为102时 接收到的为**5  后面的版本为001208-->
    <add key="NECDTMF" value="" />
    <!--华为语音信箱无应答和忙线转接码-->
    <add key="TransferNUM" value="5999" />
    <!--是否开启自动挂断（叫醒或点灯）-->
    <add key="IsAutoHangUp" value="true" />
    <!--多长时间将挂断-->
    <add key="AutoHangUpJX" value="45" />
    <!--留言-->
    <add key="AutoHangUpLY" value="30" />
    <!--听留言或房态迷你吧-->
    <add key="AutoHangUpLD" value="60" />
    <!--SV8300是否判断自动挂断Thread-->
    <add key="IsSV8300Auto" value="false" />
    <!--0:未讯 1:网建-->
    <add key="SMSType" value="0" />
    <!--行业短信-->
    <add key="MsgURL" value="http://139.224.36.226:1082/wgws/OrderServlet" />
    <!--营销短信-->
    <add key="MMsgURL" value="http://218.66.5.250:5004/ZWXWS/OrderServlet" />
    <!--中国网建Key-->
    <add key="SMSKey" value="d676f621a4909c56d44a" />
    <!--是否记住密码-->
    <add key="LearnPassWord" value="true" />
    <!--是否自动登录-->
    <add key="AutomaticLogin" value="true" />
    <!--自动登录记住用户名-->
    <add key="LoginUserName" value="admin" />
    <!--华为交换机连接信息 -->
    <add key="HWPBXConnection" value=",22,,,," />
    <!--是否处理电话号码前加0-->
    <add key="ISINTERNAL" value="true" />
    <!--话单输出方式 0:自定义输出 1:原始话单输出-->
    <add key="OutputMode" value="0" />
    <!--输出连接类型-->
    <add key="ConnectionType" value="UDP" />
    <!--华为等级状态类型-->
    <add key="HUAWEIGradeStatus" value="false" />
    <!--叫醒时模拟分机添加前缀项-->
    <add key="JXPrefix" value="" />
    <!--语音信箱模拟分机添加前缀项-->
    <add key="YYXXPrefix" value="" />
    <!--叫醒是否模拟外线-->
    <add key="IsFXO" value="false" />
    <!--是否当天还是一周重启 true:一周 false:当天-->
    <add key="IsDayOfWeek" value="true" />
    <add key="IsFTP" value="false" />
    <add key="LocalPath" value="" />
    <add key="FTPIPAddress" value="" />
    <add key="FTPport" value="" />
    <add key="FTPUserName" value="" />
    <add key="FTPPassWord" value="" />
    <add key="FTPPath" value="" />
    <!--Avaya叫醒分机设置-->
    <add key="JXTrunkAvaya" value="" />
    <!--短信剩余条数-->
    <add key="SMSNumber" value="0.05" />
    <!--是否过滤电话号码的字母-->
    <add key="IsFilterABC" value="false" />
    <!--录音电话号码（OM SIP外线）-->
    <add key="RecordTelephoneNumber" value="" />
    <!--录音强插码（OM SIP外线）-->
    <add key="RecordInsistCode" value="" />
    <add key="isPopups" value="false" />
    <!--录音的类型-->
    <add key="RecordType" value="去电,来电,内线" />
    <!--分机转换(匹配用到)-->
    <add key="ExtensionConversion" value="" />
    <!--录音文件类型 mp3和wav-->
    <add key="RecordFileType" value="mp3" />
    <!--CTIServer IP地址 192.168.6.105:8000-->
    <add key="CTIIpAddress" value="" />
    <!--录音匹配规则 Default;Time-->
    <add key="RecordMatch" value="" />
    <!--录音间隔 （秒）-->
    <add key="RecordInterval" value="20" />
    <!--酒店中间件对接录音发送的IP地址和端口号(接收OM录音时要有值 其它的为空)-->
    <add key="OMSendIPOrPort" value="" />
    <!--话务台语音号码 说明：酒店中间件是语音号码（SIP外线）;录音当前有话务分机时可以对接OM和华为录音-->
    <add key="AttendantNum" value="" />
    <!--OM远程存储录音的IP路径地址 -->
    <add key="OMIPaddress" value="" />
    <!--语音信箱话单接收到的文件名称和目录里的名称不相同 -->
    <add key="OMVoicemail" value="false" />
    <!--and ListenStatus='未听'-->
    <add key="VoicemailWhere" value="" />
    <add key="FastCallBill" value="false" />
    <!--华为BMU设置 https://192.168.6.38:18543/-->
    <add key="ECIPAddressPort" value="" />
    <!--UC2.3.1,EC3.0-->
    <add key="ECVersionNumber" value="EC3.0" />
    <add key="ECUserName" value="esdk_user" />
    <add key="ECPassWord" value="Huawei@123" />
    <add key="TransferNUMBefore" value="4144" />
    <add key="ExtensionFilterNum" value="" />
    <add key="BillExtension" value="false" />
    <add key="HuaWeiBillServer" value="" />
    <add key="PanasonicPwd" value="451k=kSw450k=kZx449k=kTy448k=kLz447k=kAa" />
    <add key="SSLTLS" value="Tls" />
    <add key="CiscoVersion" value="8.5" />
    <!--http://localhost:21587/Home/ConsolePage-->
    <add key="URLRequest" value="" />
    <add key="IsOMCdr" value="false" />
    <add key="YealinkIP" value="" />
    <add key="UnusualTransferNum" value="" />
    <add key="UDPLocalIP" value="" />
    <!--华为接收话单的IP-->
    <add key="ReceiveIP" value="" />
    <!--Cisco 转接处理参数-->
    <add key="destDeviceName" value="" />
    <!--朗视S FTP信息-->
    <add key="YeastarFTP" value="" />
    <!--朗视S 房态号码-->
    <add key="YeastarRSNum" value="777" />
    <!--朗视S 迷你吧号码-->
    <add key="YeastarMBNum" value="778" />
    <!--第二台电脑连接到同一个数据库中的授权码写AuthorizationCodeS-->
    <add key="AuthorizationCode" value="AuthorizationCode" />
    <!--写EncryptionCodeS-->
    <add key="EncryptionCode" value="EncryptionCode" />
    <!--接通后插播语音 false:不插播 true:插播-->
    <add key="IsInterstitialVoice" value="false" />
    <!--输出集成通讯参数-->
    <add key="WinetubeIntegrated" value="UDP;" />
    <!--输出集成通讯1-->
    <add key="CommunicationOne" value="" />
    <!--输出集成通讯2-->
    <add key="CommunicationTwo" value="" />
    <!--监听亿联话机URL-->
    <add key="HttpListenerUrl" value="" />
    <!--是否对接Opera酒管-->
    <add key="IsOpera" value="false" />
    <!--AppKey-->
    <add key="AppKey" value="5b4557b9" />
    <!--SecretKey-->
    <add key="SecretKey" value="3f7d42bbad68fc3875dbc13898f344a6" />
    <!--讯飞语音转写地址-->
    <add key="AuthAPIURL" value="http://raasr.xfyun.cn/api" />
    <add key="isMonthlyRent" value="false" />
    <add key="TimeOutS" value="500" />
    <add key="isFast" value="false" />
    <!--录音强插码（IPO）（OM SIP外线）-->
    <add key="RecordForceinCode" value="" />
    <add key="BeepType" value="No" />
    <add key="BeepPath" value="" />
    <add key="BeepDuration" value="4" />
    <add key="RecordingPath" value="" />
    <!--NEC-SV8300房态迷你吧特殊处理 判断开头号码不是8补8-->
    <add key="FTMNBFJHN" value="false" />
    <!--星网锐捷来电排队的语音-->
    <add key="hold_music" value="default" />
    <add key="NumberShow" value="" />
    <!--按需录音的按键参数-->
    <add key="RecordingDTMF" value="99" />
    <add key="NumberChangePrefix" value="" />
    <add key="BlackListVoice" value="" />
    <add key="BlackListSleep" value="5" />
    <add key="Cookie" value="" />
    <!--是否隐藏话单管理-->
    <add key="isYCJF" value="false" />
    <!--通话记录ID-->
    <add key="RID" value="0" />
    <!--查询录音时间范围-->
    <add key="TimeOne" value="10" />
    <!--FTP设置 FTPServerIP,FTPUser,FTPPassWord-->
    <add key="FTP" value="" />
    <!--通话记录上传条数-->
    <add key="RCount" value="100" />
    <add key="RecordIIS" value="http://127.0.0.1:10806" />
    <!--地址,同步时间(HH:mm),HotelCode,UserName,Password-->
    <add key="OXEAPI" value=",,,," />
    <!--OXE单独判断：房态迷你吧判断值为true-->
    <add key="MNBSend" value="false" />
    <add key="NECWake" value="00:01" />
  </appSettings>
  <startup useLegacyV2RuntimeActivationPolicy="true">
    <!--<supportedRuntime version="v2.0.50727"/>-->
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
  </startup>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="NewBinding0" />
        <binding name="BasicHttpBinding_IPOConfigService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxBufferSize="65536" maxReceivedMessageSize="65536" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true" messageEncoding="Text">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
          <security mode="None">
            <transport clientCredentialType="None" proxyCredentialType="None" realm="" />
            <message clientCredentialType="UserName" algorithmSuite="Default" />
          </security>
        </binding>
        <binding name="TelpoS10Binding">
          <security mode="Transport" />
        </binding>
        <binding name="TelpoS10Binding1" />
        <binding name="UsersImplServiceSoapBinding" />
        <binding name="AllServicesBinding" />
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="https://192.168.6.116:8008/webservice/server.php" binding="basicHttpBinding" bindingConfiguration="TelpoS10Binding" contract="TelpoS10Service.TelpoS10PortType" name="TelpoS10Port" />
      <endpoint address="http://192.168.6.127:8080/ExternalServices/User" binding="basicHttpBinding" bindingConfiguration="UsersImplServiceSoapBinding" contract="AeonixUsersSEIService.UsersSEI" name="UsersImplPort" />
      <endpoint address="http://192.168.6.127:8081/csta3ws" binding="basicHttpBinding" bindingConfiguration="AllServicesBinding" contract="AeonixService.CSTA3_AllServices" name="AllServices" />
    </client>
    <services>
      <service behaviorConfiguration="mex" name="IPOConfigService.Service.IPOfficeService">
        <endpoint address="http://localhost:8085/IPOConfigurationService" binding="basicHttpBinding" bindingConfiguration="NewBinding0" bindingNamespace="http://avaya.com/IPOffice/ConfigService/2007/01" contract="IPOConfigService.Service.Interface.IConfigurationService" />
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:8085/IPOConfigurationService" />
          </baseAddresses>
        </host>
      </service>
    </services>
    <behaviors>
      <serviceBehaviors>
        <behavior name="mex">
          <serviceMetadata httpGetEnabled="true" httpsGetEnabled="false" />
        </behavior>
      </serviceBehaviors>
    </behaviors>
  </system.serviceModel>
  <applicationSettings>
    <BillCommon.Properties.Settings>
      <setting name="BillCommon_IPOConfig2_IPOfficeService" serializeAs="String">
        <value>http://localhost:8085/IPOConfigurationService</value>
      </setting>
      <setting name="BillCommon_WeChatWebService_WebService" serializeAs="String">
        <value>http://weixin.4008111108.com/WebService.asmx</value>
      </setting>
    </BillCommon.Properties.Settings>
  </applicationSettings>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="ICSharpCode.SharpZipLib" publicKeyToken="1b03e6acf1164f73" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-0.5.0.0" newVersion="0.5.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>